Subject: Re: linux-next: add utrace tree

From: "Frank Ch. Eigler" <[email-masked]>
Date: Wed, 20 Jan 2010 08:01:29 -0500

Hi -

On Wed, Jan 20, 2010 at 07:28:34AM +0100, Ingo Molnar wrote:
> [...]
> > On the other hand, having ptrace/utrace in the -next tree will give it a
> > lot more testing, while any outstanding technical issues are being addressed.
> 
> Including experimental code that is RFC and which is not certain to go 
> upstream is certainly not the purpose of linux-next though.
> [...]

Ingo, you are mistaken.  The utrace core and utrace/ptrace code were
submitted and reviewed together on lkml, and are not considered
experimental.

I know the names may be confusing, but it is unnecessary to bring up
uprobes and other RFC/experimental items.  None of these are included
in the branch I pointed sfr to.

- FChE